AfterDawn: Nieuws

Oude Tor Browser Bundles kwetsbaar voor exploits

Geschreven door Marco Korthout (Google+) @ 6 aug 2013 16:47

Oude Tor Browser Bundles kwetsbaar voor exploits Na de arrestatie van de oprichter van Freedom Hosting en het plaatsen van malware door de NSA/FBI vorige week, waarschuwt Tor dat de oude Tor Bundles nog steeds kwetsbaar zijn voor de exploits van kwetsbaarheden in Javascript van oude Firefox-versies. De Tor Browser is gebaseerd op Firefox.
Deze kwetsbaarheid is opgelost in Firefox 17.0.7 ESR.
De volgende versies van de Tor Browser Bundle beschikken over de verbeterde versie:
2.3.25-10 (released June 26 2013)
2.4.15-alpha-1 (uitgegeven 26 juni 2013)
2.4.15-beta-1 (uitgegeven 8 juli 2013)
3.0alpha2 (uitgegeven 30 juni 2013)

In principe zijn alle gebruikers van alle Tor Browser Bundles ouder dan de hierboven aangegeven versies vatbaar voor de exploit. Echter lijkt het erop dat alleen Windowsgebruikers met oudere Firefox versies daadwerkelijk worden aangevallen.

Om na te gaan welke versie jij draait ga je naar "Help -> About Torbrowser"
en als daar staat Firefox 17.0.7. zit je veilig.

De kwaadwillige code is Windows-specifiek en het lijkt erop dat TBB-gebruikers op Linux, OS X en gebruikers van een LiveCD systeem geen gevaar lopen.

Wat doet het?
De kwetsbaarheid staat willekeurig uitvoeren van code toe, waardoor een aanvaller in principe de getroffen computer kan overnemen. Deze aanval lijkt alleen de naam van de host en het MAC-adres van de betreffende computer te verzamelen en deze naar een remote webserver te sturen over een niet-Tor verbinding,
om daarna te crashen of af te sluiten.

Wil je dus anoniem blijven surfen, is het zaak te updaten naar een van de recente Tor Bundles.

Bron

Vorige Volgende  
Op dit artikel kun je niet reageren.

Nieuwsarchief